* ͻ *
*   PROG NAME: MERGE.PRG - A Word Perfect merge file creator           *
*   Copyright (c) 1991 C Lutions, Inc. All rights reserved.            *
*   C Lutions of New Haven, Connecticut    (203) 387-7388.             *
* ͼ *
*
* Taken from an idea by William J. Osolinski (BET460)
* Originally done in CLIPPER code and limited to available memory!
*
* This PROGRAM/PROCEDURE will create a Word Perfect mail merge file
* given the proper file & field names.  I was designed for a small
* database (300) and therefore uses no buffering.  Each record is written
* out as it is built.  By expanding the buffer (with a simple FOR NEXT
* LOOP any size dbf can be handled.
*
* database names and fields will have to be change to protect the guilty,
* I mean the innocent.  Feel free to do with as you like, keeping the
* above notice intact and noting and changes.
*
*                     CIAO and Good Luck; Francis Coppage
*                                    CIS: 72037,3030
*
*PROCEDURE MailMerge
USE fug INDEX last
GO TOP
SET CONSOLE OFF
merge_str = ''

    FileHandle = FCREATE( "FUG.MRG" )
    IF FERROR() # 0

        ? "*** ERROR ***"
        ? " Unable to create 'FUG.MRG' !!!; ",;
          " Error #", FERROR()
        RETURN
    ENDIF

    DO WHILE .NOT. EOF("fug")

        merge_str = merge_str + ALLTRIM(Fname) + ' '+ ALLTRIM(Lname) + chr(18) + chr(10)

        merge_str = merge_str + ALLTRIM(Cname) + chr(18) + chr(10)

        merge_str = merge_str + ALLTRIM(address) + chr(18) + chr(10)

        merge_str = merge_str + ALLTRIM(address2) + chr(18) + chr(10)

        merge_str = merge_str + ALLTRIM(City) + '  ' + ALLTRIM(State) + '  ' + ALLTRIM(Zip) + chr(18) + chr(10)

        merge_str = merge_str + chr(5) + chr(10)

        =FWRITE( FileHandle, merge_str )

        =FFLUSH( FileHandle )

        merge_str = ''

        SKIP

    ENDDO

    =FCLOSE( FileHandle )

    SET CONSOLE ON

RETURN

*EOF: MERGE.PRG
